import { Cell } from '@ton/core';
import { MsgPrices, StoragePrices } from '../config/ConfigParser';
export declare function computeStorageFees(data: {
    now: number;
    lastPaid: number;
    storagePrices: StoragePrices[];
    storageStat: {
        cells: number;
        bits: number;
        publicCells: number;
    };
    special: boolean;
    masterchain: boolean;
}): bigint;
export declare function computeFwdFees(msgPrices: MsgPrices, cells: bigint, bits: bigint): bigint;
export declare function computeGasPrices(gasUsed: bigint, prices: {
    flatLimit: bigint;
    flatPrice: bigint;
    price: bigint;
}): bigint;
export declare function computeExternalMessageFees(msgPrices: MsgPrices, cell: Cell): bigint;
export declare function computeMessageForwardFees(msgPrices: MsgPrices, cell: Cell): {
    fees: bigint;
    remaining: bigint;
};
